{
  "compilerOptions": {
    "target": "es6",
    "module": "esnext",
    "moduleResolution": "bundler",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "sourceMap": true,
    "noEmit": true,
    "noEmitHelpers": true,
    "importHelpers": true,
    "strictNullChecks": true,
    "noUnusedParameters": true,
    "noUnusedLocals": true,
    "noImplicitAny": true, // TODO(AZ): Fix types to enable setting this to true
    "lib": ["dom", "dom.iterable", "es2022"],
    "baseUrl": "./src",
    "paths": {
      // Relative to baseUrl https://www.typescriptlang.org/tsconfig/#paths
      "assets/*": ["./assets/*"],
      "components/*": ["./components/*"],
      "config/*": ["./config/*"],
      "constants/*": ["./constants/*"],
      "hooks/*": ["./hooks/*"],
      "interfaces/*": ["./interfaces/*"],
      "routers/*": ["./routers/*"],
      "store/*": ["./store/*"],
      "services/*": ["./services/*"],
      "lang/*": ["./lang/*"],
      "views/*": ["./views/*"]
    },
    "allowJs": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "isolatedModules": true,
    "jsx": "react-jsx",
    "noFallthroughCasesInSwitch": true
  },
  "exclude": ["node_modules", "public"],
  "include": ["src", "test"]
}
